Bug 65161 - stat gives incorrect result with file > 2Gb
stat gives incorrect result with file > 2Gb
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: stat (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-18 16:23 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-18 16:23:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-18 16:23:19 EDT
Description of Problem:
stat command gives incorrect result on files > 2gb




Version-Release number of selected component (if applicable):
stat-2.5-5

How Reproducible:


Steps to Reproduce:
1. create a file > 2Gb 
2. run stat this_file
3. 

Actual Results:  

File: "/backup/FILE"
  Size: 3221225472      Blocks: 6297608    IO Block: -4611692959094534144
Regular File
Device: 900h/2304d      Inode: 12          Links: 1    
Access: (0644/-rw-r--r--)  Uid: (    0/    root)   Gid: (    0/    root)
Access: Sat May 18 21:48:52 2002
Modify: Sat May 18 21:28:06 2002
Change: Sat May 18 21:28:06 2002




Expected Results:

  File: "/backup/FILE"
  Size: 3221225472      Blocks: 6297608    IO Block: 4096   Regular File
Device: 900h/2304d      Inode: 12          Links: 1    
Access: (0644/-rw-r--r--)  Uid: (    0/    root)   Gid: (    0/    root)
Access: Sat May 18 21:48:52 2002
Modify: Sat May 18 21:28:06 2002
Change: Sat May 18 21:28:06 2002


Additional Information:

The sources recompiled with "gcc -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE"
give compilation warning but the result seems correct (see Expected Results)
Comment 1 Ngo Than 2002-06-02 06:34:12 EDT
It's fixed in 3.3-2. You find it in rawhide

Note You need to log in before you can comment on or make changes to this bug.